Package org.optaplanner.core.impl.heuristic.selector

## Class AbstractSelectorFactory<Solution_,​SelectorConfig_ extends SelectorConfig<SelectorConfig_>>

- java.lang.Object
- - org.optaplanner.core.impl.AbstractFromConfigFactory<Solution_,​SelectorConfig_>
  - - org.optaplanner.core.impl.heuristic.selector.AbstractSelectorFactory<Solution_,​SelectorConfig_>

- Direct Known Subclasses:
    `AbstractMoveSelectorFactory`, `EntitySelectorFactory`, `PillarSelectorFactory`, `ValueSelectorFactory`

      public abstract class AbstractSelectorFactory<Solution_,​SelectorConfig_ extends SelectorConfig<SelectorConfig_>>
      extends AbstractFromConfigFactory<Solution_,​SelectorConfig_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.AbstractFromConfigFactory

      `config`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractSelectorFactory​(SelectorConfig_ selectorConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `validateCacheTypeVersusSelectionOrder​(SelectionCacheType resolvedCacheType, SelectionOrder resolvedSelectionOrder)` |

    - ### Methods inherited from class org.optaplanner.core.impl.AbstractFromConfigFactory

      `deduceEntityDescriptor, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSelectorFactory

          protected AbstractSelectorFactory​(SelectorConfig_ selectorConfig)

  - ### Method Detail

    - #### validateCacheTypeVersusSelectionOrder

          protected void validateCacheTypeVersusSelectionOrder​(SelectionCacheType resolvedCacheType,
                                                               SelectionOrder resolvedSelectionOrder)